{% extends "base.html" %}
{% load i18n %}

{% block title %}
Activiteit: {{ activity.title }}
{% endblock %}

{% block banner %}
    <h1 class="title"> {{ activity.title|capfirst }} </h1>
{% endblock %}

{% block body %}
<div class="columns" >
    <h2 class="subtitle column"> {{ activity.description }} </h2>

    <div class="activity-poster">
        {% if activity.activity_poster %}
            <img src="{{ activity.activity_poster.url }}">
        {% endif %}
        <div class="box" >
            <table class="table is-fullwidth is-striped">
                <tbody>
                    <tr>
                        <th> Organisator </th>
                    </tr>
                    <tr>
                        {% for organiser in activity.organisers.all %}
                            <td>{{ organiser }}</td> 
                        {% endfor %}
                    </tr>
                    <tr>
                        <th> Categorie </th>
                    </tr>
                    <tr>
                        {% for category in activity.categories.all %}
                            <td>{{ category }}</td>
                        {% endfor %}
                    </tr>
                    <th></th>
                    {% for event,_ in events %}
                        <tr>
                            <td>
                                <a href="#event-{{ event.pk }}">{{ event.subtitle }}</a>
                            </td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
</div>

{% for event, admittance_set in events %}
<div class="box columns mt-0">
    <div class="column">
        <table class="table is-fullwidth is-striped">
            <tbody>
                <tr>
                    <th id="event-{{ event.id }}" class="is-size-4">{{ event.subtitle }}</th>
                </tr>
                <tr>
                    <td> {{ event.description }} </td>  
                </tr>
            </tbody>
        </table>
    </div>
    <div class="column is-one-third">
        <div>
            {% if event.get_poster %}
                <img class="event-poster" src="{{ event.get_poster.url }}">
            {% endif %}
        </div>
        <table class="table is-fullwidth is-striped">
            <tbody>
                <tr>
                    <th> Locatie </th>
                        <td>{{ event.location }}</td>     
                </tr>
                <tr>
                    <th> Begin </th>
                        <td>{{ event.time_start }}</td>     
                </tr>
                <tr>
                    <th> Eind </th>
                        <td>{{ event.time_end }}</td>     
                </tr>
            </tbody>
        </table>
        {% for admittance, enroll, unroll in admittance_set %}
            <table class="table is-fullwidth is-striped">
                <tbody>
                    <tr>
                        <th> Inschrijving </th>
                            <td>{{ admittance }}</td>         
                    </tr>
                    <tr>
                        <th> Prijs </th>
                            <td>€{{ admittance.price }}</td>     
                    </tr>
                    <tr>
                        <th> Inschrijfdeadline  </th>
                            <td>{{ admittance.registration_deadline }}</td>     
                    </tr>
                    <tr>
                        <th> Uitschrijfdeadline </th>
                            <td>{{ admittance.deregistration_deadline }}</td>     
                    </tr>
                    {% if enroll %}
                    <tr>
                        <th> Schrijf je in: </th>
                            <td><a href="{% url 'activities:enroll' admittance.pk %}"> Hier </a></td>    
                    </tr>
                    {% endif %} 
                    {% if unroll %}
                    <tr>
                        <th> Schrijf je uit: </th>
                            <td><a href="{% url 'activities:unroll' admittance.pk %}"> Hier </a></td>    
                    </tr>
                    {% endif %} 
                </tbody>
            </table>
        {% endfor %}
    </div>
</div>
{% endfor %}

{% endblock %}